#!/bin/bash

# the script takes binutils* and creates the cross-* packages
# sh4 is stuck in the testsuite
for arch in aarch64 hppa hppa64 mips arm i386 x86_64 s390 s390x ppc ppc64 ia64 sparc sparc64 alpha spu avr; do 

   echo -n "Building package for $arch --> cross-$arch-binutils ..."

   ln -f binutils.changes cross-$arch-binutils.changes
   targetarch=`echo $arch | sed -e "s/parisc/hppa/;s/i.86/i586/;s/ppc/powerpc/"`
   exclarch=`echo $arch | sed -e 's/parisc/hppa/;s/i.86/%ix86/;s/arm/%arm/'`
   sed -e "s/^Name:.*binutils\$/Name:         cross-$arch-binutils\nExcludeArch: $exclarch\n%define cross 1\n%define TARGET $targetarch/;" \
       < binutils.spec > cross-$arch-binutils.spec

   echo " done."
done

osc service localrun format_spec_file

